import Image from "next/image";
import { useTranslations } from "next-intl";

import { Typography } from "@/components/ui";
import { emailMarketingCompV1Images } from "@/shared/constants/images";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import styles from "./GuaranteedSecurityPayments.module.scss";

export default function GuaranteedSecurityPayments() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("Landing")
  );
  return (
    <div className={styles.container}>
      <Image
        src={emailMarketingCompV1Images("guaranteed.svg")}
        alt="guaranteed"
        width={28}
        height={30}
      />
      <Typography as="p" align="left" size="sm">
        {t("guaranteed-security-payments")}
      </Typography>
    </div>
  );
}
